public class Application {

    public static void main(String [] args)
    {
        String vHostName = "demisel.space";
        int vWebPagePort = 8080;
        int vWebSocketPort = 10269;
        boolean vWebSocketUriClDispPort = false;
        int vTcpSocketPort = 6868;
        String vWebSocketProtocolPrefix = "wss";
        CuisineHTTPServer vServer = new CuisineHTTPServer();

        int i = 0;
        for(i = 0 ; i<args.length ; i++)
        {
            switch(args[i])
            {
                case "-h" -> vHostName = args[++i];
                case "-sr" -> vWebSocketProtocolPrefix = args[++i];
                case "-wp" -> vWebPagePort = Integer.parseInt(args[++i]);
                case "-sp" -> vWebSocketPort = Integer.parseInt(args[++i]);
                case "-tp" -> vTcpSocketPort = Integer.parseInt(args[++i]);
                case "-wsp" -> vWebSocketUriClDispPort = true;
            }
        }
        vServer.startServer
            (
            vHostName,
            vWebPagePort,
            vWebSocketPort,
            vWebSocketUriClDispPort,
            vWebSocketProtocolPrefix,
            vTcpSocketPort
            );
    }
}
